List Providers
curl --request GET \
--url https://bptest.mapleai.cc/api/ecosystem/providers \
--header 'Authorization: Bearer <token>'import requests
url = "https://bptest.mapleai.cc/api/ecosystem/providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://bptest.mapleai.cc/api/ecosystem/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"tenant_id": "<string>",
"code": "<string>",
"name": "<string>",
"provider_type": "legal",
"provider_type_label": "<string>",
"source_name": "<string>",
"joined_at": "2023-12-25",
"contact_person": "<string>",
"listing_status": "listed",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"phone": "<string>",
"email": "<string>",
"description": "<string>",
"office_address": "<string>",
"founded_date": "2023-12-25",
"credit_code": "<string>",
"business_scope": "<string>",
"legal_representative": "<string>",
"registered_capital": "<string>",
"industry_region": "<string>",
"documents": [
{
"category": "honor",
"name": "<string>",
"id": "<string>",
"issuer": "<string>",
"number": "<string>",
"uploaded_at": "2023-12-25",
"file_name": "<string>",
"content_type": "<string>",
"size_bytes": 1,
"download_url": "<string>"
}
],
"members": [
{
"name": "<string>",
"description": "<string>",
"id": "<string>"
}
],
"services": [
{
"category": "<string>",
"name": "<string>",
"price_type": "fixed",
"price_min": 1,
"id": "<string>",
"price_max": 1,
"description": "<string>"
}
],
"reviews": [
{
"nickname": "<string>",
"service_category": "<string>",
"rating": "excellent",
"reviewed_at": "2023-11-07T05:31:56Z",
"id": "<string>"
}
]
}
],
"total": 1,
"code": 0,
"message": "操作成功",
"timestamp": 123,
"page": 2,
"page_size": 2,
"total_pages": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}生态资源 / Ecosystem
List Providers
GET
/
api
/
ecosystem
/
providers
List Providers
curl --request GET \
--url https://bptest.mapleai.cc/api/ecosystem/providers \
--header 'Authorization: Bearer <token>'import requests
url = "https://bptest.mapleai.cc/api/ecosystem/providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://bptest.mapleai.cc/api/ecosystem/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"tenant_id": "<string>",
"code": "<string>",
"name": "<string>",
"provider_type": "legal",
"provider_type_label": "<string>",
"source_name": "<string>",
"joined_at": "2023-12-25",
"contact_person": "<string>",
"listing_status": "listed",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"phone": "<string>",
"email": "<string>",
"description": "<string>",
"office_address": "<string>",
"founded_date": "2023-12-25",
"credit_code": "<string>",
"business_scope": "<string>",
"legal_representative": "<string>",
"registered_capital": "<string>",
"industry_region": "<string>",
"documents": [
{
"category": "honor",
"name": "<string>",
"id": "<string>",
"issuer": "<string>",
"number": "<string>",
"uploaded_at": "2023-12-25",
"file_name": "<string>",
"content_type": "<string>",
"size_bytes": 1,
"download_url": "<string>"
}
],
"members": [
{
"name": "<string>",
"description": "<string>",
"id": "<string>"
}
],
"services": [
{
"category": "<string>",
"name": "<string>",
"price_type": "fixed",
"price_min": 1,
"id": "<string>",
"price_max": 1,
"description": "<string>"
}
],
"reviews": [
{
"nickname": "<string>",
"service_category": "<string>",
"rating": "excellent",
"reviewed_at": "2023-11-07T05:31:56Z",
"id": "<string>"
}
]
}
],
"total": 1,
"code": 0,
"message": "操作成功",
"timestamp": 123,
"page": 2,
"page_size": 2,
"total_pages": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Query Parameters
Response
Successful Response